zenilib: AF_PointRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
AF_PointRec_ Struct Reference

`#include <afhints.h>`

## Public Attributes

FT_UShort | flags
FT_Short | fx
FT_Short | fy
FT_Char | in_dir
AF_Point | next
FT_Char | out_dir
FT_Pos | ox
FT_Pos | oy
AF_Point | prev
FT_Pos | u
FT_Pos | v
FT_Pos | x
FT_Pos | y

## Detailed Description

Definition at line 250 of file afhints.h.

## Member Data Documentation

FT_UShort AF_PointRec_::flags

Definition at line 252 of file afhints.h.

Referenced by af_glyph_hints_align_edge_points(), af_glyph_hints_align_strong_points(), af_glyph_hints_align_weak_points(), af_glyph_hints_reload(), af_glyph_hints_save(), af_latin2_hints_compute_segments(), and af_latin_hints_compute_segments().

FT_Short AF_PointRec_::fx

Definition at line 257 of file afhints.h.

Referenced by af_glyph_hints_align_strong_points(), af_glyph_hints_reload(), af_latin2_hints_compute_segments(), and af_latin_hints_compute_segments().

FT_Short AF_PointRec_::fy

Definition at line 257 of file afhints.h.

Referenced by af_glyph_hints_align_strong_points(), af_glyph_hints_reload(), af_latin2_hints_compute_segments(), and af_latin_hints_compute_segments().

FT_Char AF_PointRec_::in_dir

Definition at line 253 of file afhints.h.

Referenced by af_glyph_hints_reload(), and af_latin2_hints_compute_segments().

AF_Point AF_PointRec_::next

Definition at line 261 of file afhints.h.

Referenced by af_glyph_hints_align_edge_points(), af_glyph_hints_reload(), af_latin2_hints_compute_segments(), and af_latin_hints_compute_segments().

FT_Char AF_PointRec_::out_dir

Definition at line 254 of file afhints.h.

Referenced by af_glyph_hints_reload(), af_latin2_hints_compute_segments(), and af_latin_hints_compute_segments().

FT_Pos AF_PointRec_::ox

Definition at line 256 of file afhints.h.

Referenced by af_glyph_hints_align_strong_points(), af_glyph_hints_align_weak_points(), and af_glyph_hints_reload().

FT_Pos AF_PointRec_::oy

Definition at line 256 of file afhints.h.

Referenced by af_glyph_hints_align_strong_points(), af_glyph_hints_align_weak_points(), and af_glyph_hints_reload().

AF_Point AF_PointRec_::prev

Definition at line 262 of file afhints.h.

Referenced by af_glyph_hints_align_weak_points(), af_glyph_hints_reload(), af_latin2_hints_compute_segments(), and af_latin_hints_compute_segments().

FT_Pos AF_PointRec_::u

Definition at line 259 of file afhints.h.

Referenced by af_glyph_hints_align_weak_points(), af_iup_interp(), af_iup_shift(), af_latin2_hints_compute_segments(), and af_latin_hints_compute_segments().

FT_Pos AF_PointRec_::v

Definition at line 259 of file afhints.h.

Referenced by af_glyph_hints_align_weak_points(), af_iup_interp(), af_iup_shift(), af_latin2_hints_compute_segments(), and af_latin_hints_compute_segments().

FT_Pos AF_PointRec_::x

Definition at line 258 of file afhints.h.

Referenced by af_glyph_hints_align_edge_points(), af_glyph_hints_align_strong_points(), af_glyph_hints_align_weak_points(), af_glyph_hints_reload(), and af_glyph_hints_save().

FT_Pos AF_PointRec_::y

Definition at line 258 of file afhints.h.

Referenced by af_glyph_hints_align_edge_points(), af_glyph_hints_align_strong_points(), af_glyph_hints_align_weak_points(), af_glyph_hints_reload(), and af_glyph_hints_save().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/autofit/afhints.h